Artifact Manifests - List By Artifact Store
Yapıt bildirimi hakkında bilgi alır.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}/artifactManifests?api-version=2023-09-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
Yapıt deposunun adı. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
Yayıncının adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız. |
|
subscription
|
path | True |
string minLength: 1 |
Hedef aboneliğin kimliği. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
İstek başarılı oldu. İşlem, elde edilen ArtifactManifest kaynağını döndürür. |
|
| Other Status Codes |
İşlemin neden başarısız olduğunu açıklayan hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Get artifact manifest list resource
Örnek isteği
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests?api-version=2023-09-01
Örnek yanıt
{
"value": [
{
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests/TestManifest",
"name": "TestManifest",
"type": "microsoft.hybridnetwork/publishers/artifactStores/artifactManifests",
"location": "eastus",
"properties": {
"provisioningState": "Succeeded",
"artifactManifestState": "Uploaded",
"artifacts": [
{
"artifactName": "fed-rbac",
"artifactType": "OCIArtifact",
"artifactVersion": "1.0.0"
},
{
"artifactName": "nginx",
"artifactType": "OCIArtifact",
"artifactVersion": "v1"
}
]
}
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Artifact |
Yapıt bildirim özellikleri. |
|
Artifact |
Yapıt bildirimlerinin listesi. |
|
Artifact |
Yapıt bildirim özellikleri. |
|
Artifact |
Yapıt bildirim durumu. |
|
Artifact |
Yapıt türü. |
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Manifest |
Bildirim yapıt özellikleri. |
|
Provisioning |
Geçerli sağlama durumu. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
ArtifactManifest
Yapıt bildirim özellikleri.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Kaynağın bulunduğu coğrafi konum |
| name |
string |
Kaynağın adı |
| properties |
Yapıt bildirim özellikleri. |
|
| systemData |
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri. |
|
| tags |
object |
Kaynak etiketleri. |
| type |
string |
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts" |
ArtifactManifestListResult
Yapıt bildirimlerinin listesi.
| Name | Tür | Description |
|---|---|---|
| nextLink |
string |
Sonraki sonuç kümesini almak için URI. |
| value |
Yapıt bildirimlerinin listesi. |
ArtifactManifestPropertiesFormat
Yapıt bildirim özellikleri.
| Name | Tür | Description |
|---|---|---|
| artifactManifestState |
Yapıt bildirim durumu. |
|
| artifacts |
Yapıt listesi. |
|
| provisioningState |
ArtifactManifest kaynağının sağlama durumu. |
ArtifactManifestState
Yapıt bildirim durumu.
| Değer | Description |
|---|---|
| Unknown | |
| Uploading | |
| Uploaded | |
| Validating | |
| ValidationFailed | |
| Succeeded |
ArtifactType
Yapıt türü.
| Değer | Description |
|---|---|
| Unknown | |
| OCIArtifact | |
| VhdImageFile | |
| ArmTemplate | |
| ImageFile |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ManifestArtifactFormat
Bildirim yapıt özellikleri.
| Name | Tür | Description |
|---|---|---|
| artifactName |
string |
Yapıt adı |
| artifactType |
Yapıt türü. |
|
| artifactVersion |
string |
Yapıt sürümü. |
ProvisioningState
Geçerli sağlama durumu.
| Değer | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |